[font]
size = 7.5

[font.bold]
family = "Hack"
style = "Bold"

[font.bold_italic]
family = "Hack"
style = "Bold Italic"

[font.italic]
family = "Hack"

[font.normal]
family = "Hack"
style = "Regular"

[[keyboard.bindings]]
action = "ToggleViMode"
key = "Space"
mode = "~Search"
mods = "Control|Shift"

[[keyboard.bindings]]
action = "ScrollToBottom"
key = "Space"
mode = "Vi|~Search"
mods = "Control|Shift"

[[keyboard.bindings]]
action = "ClearSelection"
key = "G"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "ToggleViMode"
key = "I"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "ScrollToBottom"
key = "I"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "ToggleViMode"
key = "C"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "ScrollLineUp"
key = "P"
mode = "Vi|~Search"
mods = "Alt"

[[keyboard.bindings]]
action = "ScrollLineDown"
key = "N"
mode = "Vi|~Search"
mods = "Alt"

[[keyboard.bindings]]
action = "ScrollToTop"
key = 51
mode = "Vi|~Search"
mods = "Alt|Shift"

[[keyboard.bindings]]
action = "ScrollToBottom"
key = 52
mode = "Vi|~Search"
mods = "Alt|Shift"

[[keyboard.bindings]]
action = "ScrollPageUp"
key = "V"
mode = "Vi|~Search"
mods = "Alt"

[[keyboard.bindings]]
action = "ScrollPageDown"
key = "V"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "ScrollHalfPageUp"
key = "U"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "ScrollHalfPageDown"
key = "D"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "Copy"
key = "W"
mode = "Vi|~Search"
mods = "Alt"

[[keyboard.bindings]]
action = "ClearSelection"
key = "Y"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "ClearSelection"
key = "Copy"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "ToggleNormalSelection"
key = "Space"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "ToggleLineSelection"
key = "V"
mode = "Vi|~Search"
mods = "Shift"

[[keyboard.bindings]]
action = "ToggleBlockSelection"
key = "V"
mode = "Vi|~Search"
mods = "Control|Shift"

[[keyboard.bindings]]
action = "ToggleSemanticSelection"
key = "V"
mode = "Vi|~Search"
mods = "Alt|Shift"

[[keyboard.bindings]]
action = "Open"
key = "Return"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "Up"
key = "P"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "Down"
key = "N"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "Left"
key = "B"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "Right"
key = "F"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "Up"
key = "Up"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "Down"
key = "Down"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "Left"
key = "Left"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "Right"
key = "Right"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "First"
key = "A"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "Last"
key = "E"
mode = "Vi|~Search"
mods = "Control"

[[keyboard.bindings]]
action = "FirstOccupied"
key = "Key6"
mode = "Vi|~Search"
mods = "Shift"

[[keyboard.bindings]]
action = "High"
key = "H"
mode = "Vi|~Search"
mods = "Shift"

[[keyboard.bindings]]
action = "Middle"
key = "M"
mode = "Vi|~Search"
mods = "Shift"

[[keyboard.bindings]]
action = "Low"
key = "L"
mode = "Vi|~Search"
mods = "Shift"

[[keyboard.bindings]]
action = "SemanticLeft"
key = "B"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "SemanticRightEnd"
key = "F"
mode = "Vi|~Search"
mods = "Alt"

[[keyboard.bindings]]
action = "WordLeft"
key = "B"
mode = "Vi|~Search"
mods = "Alt"

[[keyboard.bindings]]
action = "WordRightEnd"
key = "E"
mode = "Vi|~Search"
mods = "Shift"

[[keyboard.bindings]]
action = "Bracket"
key = "Key5"
mode = "Vi|~Search"
mods = "Shift"

[[keyboard.bindings]]
action = "SearchForward"
key = "Slash"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "SearchBackward"
key = 53
mode = "Vi|~Search"
mods = "Shift"

[[keyboard.bindings]]
action = "SearchNext"
key = "N"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "SearchPrevious"
key = "N"
mode = "Vi|~Search"
mods = "Shift"

[[keyboard.bindings]]
action = "SearchConfirm"
key = "Return"
mode = "Search|Vi"

[[keyboard.bindings]]
action = "SearchCancel"
key = "Escape"
mode = "Search"

[[keyboard.bindings]]
action = "SearchCancel"
key = "C"
mode = "Search"
mods = "Control"

[[keyboard.bindings]]
action = "SearchClear"
key = "U"
mode = "Search"
mods = "Control"

[[keyboard.bindings]]
action = "SearchDeleteWord"
key = "Back"
mode = "Search"
mods = "Alt"

[[keyboard.bindings]]
action = "SearchHistoryPrevious"
key = "P"
mode = "Search"
mods = "Control"

[[keyboard.bindings]]
action = "SearchHistoryNext"
key = "N"
mode = "Search"
mods = "Control"

[[keyboard.bindings]]
action = "SearchHistoryPrevious"
key = "Up"
mode = "Search"

[[keyboard.bindings]]
action = "SearchHistoryNext"
key = "Down"
mode = "Search"

[[keyboard.bindings]]
action = "SearchFocusNext"
key = "Return"
mode = "Search|~Vi"

[[keyboard.bindings]]
action = "SearchFocusPrevious"
key = "Return"
mode = "Search|~Vi"
mods = "Shift"

[[keyboard.bindings]]
action = "SpawnNewInstance"
key = "N"
mods = "Control|Shift"

[selection]
save_to_clipboard = true
